Subject: [bug#53995] [PATCH 01/31] gnu: update rust-anyhow to 1.0.53.

From: Maxime Devos <[email-masked]>
Date: Wed, 16 Feb 2022 12:08:14 +0100

Nicolas Graves schreef op wo 16-02-2022 om 09:08 [+0100]:
> When I import from guix import crate and get a skip-build, each time I
> tried removing it caused the build to fail, because of nightly
> features. I assumed it was the case in general, haven't tried it there.

In this case, this does not seem to be the case, the following builds
(guix build -f):

(use-modules (guix packages) (gnu packages crates-io)
  (guix build-system cargo) (guix download))

;; otherwise [email-masked]' fails to build because the version
;; of 'rust-rustversion' currently in Guix is too old.
(set! rust-rustversion-1
  (package
    (inherit rust-rustversion-1)
    (version "1.0.6")
    (source
      (origin
        (method url-fetch)
        (uri (crate-uri "rustversion" version))
        (file-name (string-append "rust-rustversion" "-" version
".tar.gz"))
        (sha256
          (base32
"0gxj6skypbk0wlbks3pdqb0lclpwbzmyv9xbqkijsvk6zbl3ik7j"))))))

(package
  (inherit rust-anyhow-1)
  (version "1.0.53")
  (source
    (origin
      (inherit (package-source rust-anyhow-1))
      (uri (crate-uri "anyhow" version))
      (file-name
       (string-append "rust-anyhow" "-" version ".tar.gz"))
      (sha256
        (base32
"1q06xg4jn4lpad7lj1af28x5xdwymgl1k820zj2nnrhlbi2mp94l")))))